Package org.apache.batchee.servlet

## Class JBatchServletInitializer

- java.lang.Object
- - org.apache.batchee.servlet.JBatchServletInitializer

- All Implemented Interfaces:
    `javax.servlet.ServletContainerInitializer`

      public class JBatchServletInitializer
      extends Object
      implements javax.servlet.ServletContainerInitializer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `JBatchServletInitializer.PrivateFilter` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ACTIVE` |
    `static String` | `ACTIVE_PRIVATE_FILTER` |
    `static String` | `BY_PAGE` |
    `static String` | `CONTROLLER_MAPPING` |
    `static String` | `DEFAULT_SCANNING` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JBatchServletInitializer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onStartup​(Set<Class<?>> classes, javax.servlet.ServletContext ctx)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACTIVE

          public static final String ACTIVE

      See Also:
        Constant Field Values

    - #### CONTROLLER_MAPPING

          public static final String CONTROLLER_MAPPING

      See Also:
        Constant Field Values

    - #### DEFAULT_SCANNING

          public static final String DEFAULT_SCANNING

      See Also:
        Constant Field Values

    - #### ACTIVE_PRIVATE_FILTER

          public static final String ACTIVE_PRIVATE_FILTER

      See Also:
        Constant Field Values

    - #### BY_PAGE

          public static final String BY_PAGE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JBatchServletInitializer

          public JBatchServletInitializer()

  - ### Method Detail

    - #### onStartup

          public void onStartup​(Set<Class<?>> classes,
                                javax.servlet.ServletContext ctx)
                         throws javax.servlet.ServletException

      Specified by:
        `onStartup` in interface `javax.servlet.ServletContainerInitializer`
      Throws:
        `javax.servlet.ServletException`